grim/containers/msys2-cross

3dc960efb985
Parents 33c8244dba2a
Children 6b695068618a
Add makepkg-cross and try to explain how to use it
--- a/README.md Thu May 02 04:06:00 2019 -0500
+++ b/README.md Thu May 02 04:30:45 2019 -0500
@@ -18,6 +18,18 @@
`/windows/mingw32` or `/windows/mingw64` depending on which packages you
installed.
+There is also a `makepkg-cross` that will allow you to build packages. It
+requires you set the `MINGW_PACKAGE_PREFIX` environment variable to the
+correct value. As far as I know, the only options are `mingw-w64-i686` and
+`mingw-w64-x86_64`. So a simple invocation like the following from the
+directory containing your `PKGBUILD` will spit out a package for you.
+
+```
+MINGW_PACKAGE_PREFIX=mingw-w64-i686 makepkg-cross
+```
+
+# History
+
This image was built to be run in
[convey](https://bitbucket.org/rw_grim/convey) pipelines, but can we used
where ever.
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/makepkg-cross Thu May 02 04:30:45 2019 -0500
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ -z "${MINGW_PACKAGE_PREFIX}" ] ; then
+ echo "MINGW_PACKAGE_PREFIX environment variable is not set"
+ echo "Please set it to mingw-w64-i686 or mingw-w64-x86_64"
+ exit 1
+fi
+
+export PACMAN=pacman-cross
+export TEXTDOMAINDIR=/windows/usr/share/locale
+export LIBRARY=/windows/usr/share/makepkg
+export MAKEPKG_CONF=/windows/etc/makepkg.conf
+
+/windows/usr/bin/makepkg $@
+